Download it now!
Bug 125794 - Bad-looking Show Draw Functions icon in Elementary icon set
Summary: Bad-looking Show Draw Functions icon in Elementary icon set
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2019-06-07 20:09 UTC by Aron Budea
Modified: 2020-06-03 12:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (77.84 KB, image/png)
2019-06-07 20:09 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-06-07 20:09:21 UTC
Created attachment 152038 [details]
Screenshot

In Writer Standard toolbar, the Show Draw Functions icon (rightmost one by default) has changed to have a dark background. I assume that's not intended.

The change started with the commit referenced below (bibisected using repo bibisect-linux-64-6.2). Adding Cc: to Rizal Muttaqin, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=be2f88d4446706862c715dc1c9528565bf56a463
author		Rizal Muttaqin <riz_17_oke@yahoo.co.id>	2018-09-11 08:43:46 +0700
committer	Adolfo Jayme Barrientos <fitojb@ubuntu.com>	2018-09-18 12:31:46 +0200

Elementary:+more 32 px, icon with darker tone, etc
Comment 1 Rizal Muttaqin 2019-06-12 03:07:08 UTC
The icons were taken from upstream elementary icons (https://github.com/elementary/icons/blob/master/devices/24/input-tablet.svg, albeit the upstream has change a little bit) which represent tablet drawing device. What's your issue here?
Comment 2 Xisco Faulí 2019-06-12 14:57:31 UTC
RESOLVED NOTOURBUG ?

@Aron, what do you think ?
Comment 3 Aron Budea 2019-06-12 21:07:11 UTC
Rizal, I don't understand what changed a little bit, this icon is of a tablet device, what happened to the previous one that surely wasn't of a tablet? (as it featured a a pen and an empty paper)

Personally, I think a lighter icon would fit the toolbar more, and showing a tablet doesn't really convey that the button is for showing the draw functions.
Comment 4 Heiko Tietze 2019-06-13 07:36:09 UTC
Agree with Aaron and would propose something like our Draw MIME icon.
Comment 5 Rizal Muttaqin 2019-06-13 11:30:41 UTC
(In reply to Aron Budea from comment #3)
> Rizal, I don't understand what changed a little bit, this icon is of a
> tablet device, what happened to the previous one that surely wasn't of a
> tablet? (as it featured a a pen and an empty paper)
> 

I mean comparing the input-tablet.svg from upstream elementary with Show Draw LibO icons  

> Personally, I think a lighter icon would fit the toolbar more, and showing a
> tablet doesn't really convey that the button is for showing the draw
> functions.

I've updated the icons to be three-shapes as Heiko suggested (I3ee4afb5cd7cbbaded59c61adabe77c526ca0bdc)
Comment 6 Commit Notification 2019-06-13 14:11:57 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9045f982a75d6a0e3cc92c03a218a0a0cf214891%5E%21

elementary: tdf#125794, fix Show Draw function icons

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-06-13 14:13:30 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/40a3a4f7002a38fa49f4c8d06a5fdd9ab6055e04%5E%21

elementary: tdf#125794, fix Show Draw function icons

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.